package TDS::JConv;

use Exporter;
use strict qw(vars);
use vars qw(@ISA @EXPORT);

@ISA = qw(Exporter);
@EXPORT = qw(jconv_t2i);

use JConv;
use Skelton;

sub jconv_t2i;

sub Initialize()
{
    my ($internal, $html, $tdf);
    $internal = $TDS::System::InternalJcode;
    $html = $Skelton::OutputJcode;
    $tdf = $TDS::Collection::TdfJcode;

    # HTML 出力
    #*jconv_i2h = mkjconv($internal, $html);
    # 内部から tdf へ
    #*jconv_i2t = mkjconv($internal, $tdf);
    # tdf から読み込み
    if ($tdf){
	*jconv_t2i = mkjconv($tdf, $internal);
    } else {
	*jconv_t2i = mkjconv('auto', $internal);
    }
    SetDefaultJcode($internal, $html);
}


1;
